<div class="modal-header">
  <h5 class="modal-title" id="exampleModalLabel"><%= @modal_title.nil? ? Admin::Perimeter.model_name.human : @modal_title %></h5>
  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>

<%= simple_form_for @perimeter, remote: true do |f| %>
  <div class="modal-body">
    <%= f.error_notification %>
    <%= f.error_notification message: f.object.errors[:base].to_sentence if f.object.errors[:base].present? %>

    <div class="form-inputs">
      <% if @perimeter.parent_id %>
        <div class="form-group">
          <%= f.label :parent_id, class: 'form-control-label select required' %>
          <% perimeters =  @perimeter.root.subtree.order_for_list %>
          <%= helper_causes_list(perimeters, 'admin_perimeter', 'parent_id',
                                 {selected: @perimeter.parent_id}) %>
        </div>
      <% else %>
        <%= f.hidden_field :parent_id %>
      <% end %>
      <%= f.input :name %>
    </div>
  </div>

  <div class="modal-footer">
    <div class="form-actions">
      <%= f.button :submit %>
    </div>
  </div>
<% end %>
